Oracle Linux 6162 Published by

New Ksplice updates for UEKR4 4.1.12 on Oracle Linux 6 and 7 are available.



New Ksplice updates for UEKR4 4.1.12 on OL6 and OL7 (ELBA-2023-12793)


Synopsis: ELBA-2023-12793 can now be patched using Ksplice
CVEs: CVE-2022-1015 CVE-2023-3567

Users with Oracle Linux Premier Support can now use Ksplice to patch
against the latest Oracle Linux Bug Fix Advisory, ELBA-2023-12793.
More information about this errata can be found at
https://linux.oracle.com/errata/ELBA-2023-12793.html

INSTALLING THE UPDATES

We recommend that all users of Ksplice Uptrack running UEKR4 4.1.12 on
OL6 and OL7 install these updates.

On systems that have "autoinstall = yes" in /etc/uptrack/uptrack.conf,
these updates will be installed automatically and you do not need to
take any action.

Alternatively, you can install these updates by running:

# /usr/sbin/uptrack-upgrade -y

DESCRIPTION

* Improved fix for CVE-2023-3567: Information leak when using Virtual Terminal.

A logic error when using Virtual Terminal driver could lead to a
use-after-free. A local attacker could use this flaw to cause a denial-
of-service or leak sensitive information.

Orabug: 35768682

* Improved fix for CVE-2022-1015: Permission bypass when using netfilter.

A missing check on userspace input when using netfilter could lead to an
out-of-bounds access. A local attacker could use this flaw to escalate
privilege.

Orabug: 35776867

SUPPORT

Ksplice support is available at ksplice-support_ww@oracle.com.